import { Injectable } from '@angular/core';

@Injectable({ providedIn: 'root' })
export class TransactionIdProvider {
  private transactionId = 0;

  constructor() {}

  next() {
    return this.transactionId++;
  }
}
